<%= form_for @guideline do |f| %>

<% if @guideline.errors.any? %>
  <div id="error_explanation">
    <h2><%= pluralize(@guideline.errors.count, "error") %> prohibited
      this guideline from being saved:</h2>
    <ul>
      <% @guideline.errors.full_messages.each do |msg| %>
      <li><%= msg %></li>
      <% end %>
    </ul>
  </div>
<% end %>


<div class="panel-group" id="accordion">
  <div class="panel panel-default">
    <div class="panel-heading accordion-panel collapsed" id="data" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">
      <span class="accordion-symbol glyphicon glyphicon-chevron-right"></span>
      <h4 class="panel-title">Data</h4>
    </div>
    <div id="collapseTwo" class="panel-collapse collapse">
      <div class="panel-body">
        <div class="form-group check-input">
          <%= f.label "Start Date" %>
          <div class="input-group">
            <% if @guideline.parent_id == nil %>
              <%= f.text_field :start_date, value: @guideline.start_date, class:"form-control date", disabled: true %>
            <% else %>
              <%= f.text_field :start_date, value: @guideline.start_date, class:"form-control date" %>
            <% end %>
            <span class="input-group-addon">
            <%= check_box_tag 'start_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label "End Date" %> <br>
          <div class="input-group">
            <% if @guideline.parent_id == nil %>
              <%= f.text_field :end_date, value: @guideline.end_date, class:"form-control date", disabled: true %>
            <% else %>
              <%= f.text_field :end_date, value: @guideline.end_date, class:"form-control date" %>
            <% end %>
            <span class="input-group-addon">
              <%= check_box_tag 'end_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label :program %><br>
          <div class="input-group">
            <%= f.text_field :program, value: @guideline.program, class:"form-control" %>
            <span class="input-group-addon">
              <%= check_box_tag 'program_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label :investor %><br>
          <div class="input-group">
            <%= f.text_field :investor, value: @guideline.investor, class:"form-control" %>
            <span class="input-group-addon">
              <%= check_box_tag 'investor_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label :client %><br>
          <div class="input-group">
            <%= f.text_field :client, value: @guideline.client, class:"form-control" %>
            <span class="input-group-addon">
              <%= check_box_tag 'client_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label :published %><br>
          <div class="input-group">
            <% if @guideline.published %>
              <span class="glyphicon glyphicon-ok-sign text-success" style="font-size: 20px"></span>
            <% else %>
              <span class="glyphicon glyphicon-exclamation-sign text-warning" style="font-size: 20px"></span>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="panel panel-default">
    <div class="panel-heading accordion-panel" id="content" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
      <span class="accordion-symbol glyphicon glyphicon-chevron-down"></span>
      <h4 class="panel-title">Content</h4>
    </div>
    <div id="collapseOne" class="panel-collapse collapse in">
      <div class="panel-body">
        <div class="form-group check-input">
          <%= f.label "Title" %>
          <div class="input-group">
            <%= f.text_field :title , class:"form-control input-lg", size:"100"%>
          </div>
        </div>
        <div class="form-group check-input">
          <%= f.label "Body" %>
          <div class="input-group">
            <% if @guideline.parent_id == nil %>
            <%= f.text_area :body, value: @guideline.body, rows:"18", cols:"100", class:"form-control", style:"resize: none", disabled: true, id:"editor"%>
            <% else %>
            <%= f.text_area :body, value: @guideline.body, rows:"18", cols:"100", class:"form-control", style:"resize: none", id:"editor"%>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="well">
  <span class="">
    <%= f.submit "Save", class: "btn btn-primary btn-sm save" %>
    <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteConfirm">Delete</button>
    <%= link_to "Publish", publish_path(id: @guideline.id, act: 'pub'), method: 'post', class:"btn btn-default btn-sm" %>
    <%= link_to "Unpublish", publish_path(id: @guideline.id, act: 'unp'), method: 'post', class:"btn btn-default btn-sm" %>
    <span class="saved-message">Guideline saved <span class="glyphicon glyphicon-ok"></span></span>
  </span>
  <span class="pull-right">
    <% if @guideline.parent_id == nil %>
      <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#bigEditModal" disabled='true'>Big Editor</button>
    <% else %>
      <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#bigEditModal">Big Editor</button>
    <% end %>
    <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#saveChildrenConfirm">Save To Children</button>

  </span>
</div>

<!-- Modals -->

<div class="modal fade" id="saveChildrenConfirm" tabindex="-1" role="dialog" aria-labelledby="saveChildrenConfirm" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Confirmation</h4>
      </div>
      <div class="modal-body">
        <h3>Are you sure you want to save checked fields to children?</h3>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <%= f.submit "Save To Children", class: "btn btn-primary btn-sm"  %>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="deleteConfirm" tabindex="-1" role="dialog" aria-labelledby="deleteConfirm" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Confirmation</h4>
      </div>
      <div class="modal-body">
        <h3>Are you sure you want to delete this guide and its children?</h3>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
        <%= link_to "Delete", guideline_path(:id => @guideline, :source => 'full'), method: :delete, class:"btn btn-danger btn-sm" %>
      </div>
    </div>
  </div>
</div>

<!-- big editor modal-->
<div class="modal fade modal-xl" id="bigEditModal" tabindex="-1" role="dialog" aria-labelledby="saveChildrenConfirm" aria-hidden="true">
  <div class="modal-dialog modal-xl">
    <div class="modal-content modal-xl">
      <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title" id="myModalLabel">Large Editor</h4>
          <%= f.submit "Save", class: "btn btn-primary btn-sm save" %>
      </div>
      <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6">
          <%= f.text_area :body, value: @guideline.body, rows:"34", cols:"100", class:"form-control linked", id:"modalEditor", style:"resize: none;" %>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6">
          <div class="form-group check-input" >
            <div class="well" style="padding-top:10px;padding-left: 10px;">
              <!-- Define the are for the live preview -->
              <div style="margin-left: 30px; overflow: auto; height: 650px;" id='modalPreview' class="linked"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<% end %>
